Старые Android-смартфоны перестанут открывать многие сайты в 2021-м
Телевид — настоящее цифровое кабельное телевидение
Ускоряемся вместе
Телевид — объявление бегущей строкой на ТВ

Старые Android-​смартфоны перестанут открывать многие сайты в 2021-м

Несмотря на актив­ность про­из­во­ди­те­лей смарт­фо­нов по пере­во­ду сво­их устройств на новые вер­сии Android, мно­гие моде­ли «застря­ли» на ста­рых реви­зи­ях опе­ра­ци­он­ной систе­мы. Невозможность апдей­та вско­ре может стать серьёз­ной про­бле­мой для поль­зо­ва­те­лей таких гад­же­тов, кото­рые уже в нача­ле сле­ду­ю­ще­го года поте­ря­ют доступ к ряду веб-сайтов.

Один из веду­щих миро­вых цен­тров сер­ти­фи­ка­ции Let’s Encrypt, услу­га­ми кото­ро­го поль­зу­ют­ся поряд­ка 30% всех доме­нов гло­баль­ной сети, уже в янва­ре 2021-​го пере­хо­дит на фор­ми­ро­ва­ние под­пи­сей с исполь­зо­ва­ни­ем толь­ко сво­е­го кор­не­во­го SSL-​сертификата. Ранее ISRG Root X1 был пере­крёст­но под­пи­сан про­ме­жу­точ­ным сер­ти­фи­ка­том IdenTrust DST Root CA X3 с под­держ­кой боль­шин­ства опе­ра­ци­он­ных систем, одна­ко по исте­че­нии сро­ка дей­ствия это­го согла­ше­ния уста­рев­шие бра­у­зе­ры и ОС пере­ста­нут рабо­тать с сай­та­ми, исполь­зу­ю­щи­ми сер­ти­фи­ка­ты Let’s Encrypt.

На прак­ти­ке это озна­ча­ет, что гад­же­ты под управ­ле­ни­ем Android 7.1.0 или более ран­ней вер­сии мобиль­ной ОС Google не смо­гут загру­жать сай­ты, под­пи­сан­ные сер­ти­фи­ка­том ISRG Root X1. Согласно ста­ти­сти­ке, про­бле­ма кос­нёт­ся при­мер­но 33,8% мобиль­ных устройств на рынке.

«Некоторое про­грамм­ное обес­пе­че­ние, кото­рое не обнов­ля­лось с 2016 года, по-​прежнему не дове­ря­ет наше­му кор­не­во­му сер­ти­фи­ка­ту, ISRG Root X1. В част­но­сти, сюда вхо­дят вер­сии Android до 7.1.1»,

отме­ти­ли пред­ста­ви­те­ли Let‘s Encrypt.

В каче­стве аль­тер­на­ти­вы покуп­ке ново­го смарт­фо­на обла­да­те­ли уста­рев­ших моде­лей могут исполь­зо­вать бра­у­зер Mozilla Firefox, кото­рый спо­со­бен само­сто­я­тель­но хра­нить кор­не­вые сер­ти­фи­ка­ты. Тем не менее уста­но­вить его смо­гут лишь поль­зо­ва­те­ли Android 5.0 и более новых реви­зий «зелё­но­го робота».

Источник: 4PDA